itouch2 DSi ver 1.4 support??

Discussion in 'Other Flashing Hardware & Software' started by redyunos, Jan 28, 2010.

Jan 28, 2010

itouch2 DSi ver 1.4 support?? by redyunos at 7:23 PM (1,288 Views / 0 Likes) 4 replies

  1. redyunos
    OP

    Newcomer redyunos Newbie

    Joined:
    Sep 14, 2009
    Messages:
    7
    Country:
    Korea, South
    firmware chage log can't see DSi 1.4 support
    but itouch homepage new packege sell

    old itouch2 DSi 1.4 not support??
    new itouch2 buy?
     
  2. House Spider

    Banned House Spider In the GBAtemp attic.

    Joined:
    Apr 25, 2009
    Messages:
    1,282
    Location:
    Dundalk
    Country:
    Ireland
    I don't think the iTouch2 has 1.4 support. I may be wrong, I only used mine like once.
     
  3. gamekool

    Member gamekool GBAtemp Regular

    Joined:
    Dec 31, 2008
    Messages:
    132
    Country:
    United States
    itouch2 do support v1.4 for about 3 month
    did you see there is a orange V1.4 lable on the products?
     
  4. Excellentnuke

    Member Excellentnuke GBAtemp Advanced Fan

    Joined:
    May 19, 2008
    Messages:
    612
    Location:
    On a boat
    Country:
    United States
    To get 1.4 support you have to buy a new iTouch2.
     
  5. DSAndi

    Member DSAndi GBAtemp Regular

    Joined:
    Jul 18, 2008
    Messages:
    169
    Country:
    Germany
    If you have an old itouch2 it dont support 1.4, if u buy a new one it maybe does.
    The iTouch is just crap better buy a card where u can update the bootstrap like iEdge, M3i zero, Supercard DS Onei, Acekard2i and EzFlash5i.
     

Share This Page